<?php

/*****************************************************************************
*
*       Project			HABARI Plugins
*
*       File:           incstatic.plugin.php
*       Version:        0.1
*       Created:        2009-01-03
*       Last:           2009-01-03
*       Author:         TheBlackzone <theblackzone@theblackzone.net>
*
*       Any bug report, comments, etc. are welcome to the authors
*       email address!
*
*****************************************************************************/


class IncStatic extends Plugin
{
	const VERSION = '0.1';

	public function filter_post_content_out($content)
	{
		// is there a file tag in the content? If not, just return
		if (strpos($content, '<!--file=' ) === false ) {
			return $content;
		}

		$return = preg_replace( '/(<!--file=")(.*)("-->)/Use', '$this->read_file(\'\2\')', $content );

		return $return;
	}

	public function set_priorities()
	{
		return array(
			'filter_post_content_out' => 10,
		);
	}

	private function read_file($fn)
	{
		return (implode('',file($fn)));
	}

}
// end plugin
?>
